﻿using System.Runtime.Serialization;

namespace WarmlyShip
{
    [Serializable]
    internal class ShipNotFoundException : ApplicationException
    {
        public ShipNotFoundException(int i) : base($"Не найден объект по позиции {i}") { }
        public ShipNotFoundException() : base() { }
        public ShipNotFoundException(string message) : base(message) { }
        public ShipNotFoundException(string message, Exception exception) : base(message, exception) { }
        protected ShipNotFoundException(SerializationInfo info, StreamingContext contex) : base(info, contex) { }
    }
}